[arch-commits] Commit in perl-term-table/repos (2 files)

Evangelos Foutras foutrelis at archlinux.org
Sat May 25 09:26:25 UTC 2019


    Date: Saturday, May 25, 2019 @ 09:26:25
  Author: foutrelis
Revision: 470145

archrelease: copy trunk to community-staging-any

Added:
  perl-term-table/repos/community-staging-any/
  perl-term-table/repos/community-staging-any/PKGBUILD
    (from rev 470144, perl-term-table/trunk/PKGBUILD)

----------+
 PKGBUILD |   29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

Copied: perl-term-table/repos/community-staging-any/PKGBUILD (from rev 470144, perl-term-table/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2019-05-25 09:26:25 UTC (rev 470145)
@@ -0,0 +1,29 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=perl-term-table
+pkgver=0.013
+pkgrel=2
+pkgdesc="Format a header and rows into a table"
+arch=('any')
+license=('PerlArtistic')
+url="https://metacpan.org/release/Term-Table"
+depends=('perl-importer')
+options=('!emptydirs')
+source=("https://cpan.metacpan.org/authors/id/E/EX/EXODIST/Term-Table-$pkgver.tar.gz")
+sha512sums=('e327b0856b1f3d97056f3bd057fa3b22b7dd3b1263313f2a3f81cf0986c2dc5692c7e40e7eb1de321cb718fce0dcfd9cc4ba57ad159a0b38ee3f0af982ce8d46')
+
+build() {
+  cd Term-Table-$pkgver
+  perl Makefile.PL INSTALLDIRS=vendor
+  make
+}
+
+check() {
+  cd Term-Table-$pkgver
+  make test || warning "Expected failure due to Test2::Tools::Tiny being too old"
+}
+
+package() {
+  cd Term-Table-$pkgver
+  make DESTDIR="$pkgdir" install
+}


More information about the arch-commits mailing list